/* Általános beállítások */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #f0f0f0;
}

/* Főoldal háttérkép beállítása */
#continent-selection {
    background-image: url('https://ocdn.eu/pulscms/MDA_/ac67f7b78d8c37f3d6a0f9959c0d0e91.png'); /* Cseréld ki a háttérkép URL-jét */
    background-size: cover;
    background-position: center;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

#continent-selection h1 {
    color: white;
    font-size: 36px;
    margin-bottom: 30px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

#continent-selection button {
    background-color: #007bff;
    color: white;
    border: none;
    padding: 15px 30px;
    margin: 10px;
    font-size: 18px;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s;
}

#continent-selection button:hover {
    background-color: #0056b3;
}

/* Kvíz tartalom beállításai */
#quiz-content {
    text-align: center;
    background-color: gray;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

#quiz-content h2 {
    margin-bottom: 20px;
}

#quiz-content input {
    padding: 10px;
    font-size: 16px;
    width: 80%;
    margin-bottom: 20px;
}

#quiz-content button {
    background-color: #28a745;
    color: white;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    border-radius: 5px;
    margin: 5px;
    transition: background-color 0.3s;
}

#quiz-content button:hover {
    background-color: #218838;
}

#quiz-content p {
    margin-top: 10px;
}